Check Deployment
POST
/api/v1/deployments/{name}/check
const url = 'https://aura.strangeworks.com/api/v1/deployments/example/check';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://aura.strangeworks.com/api/v1/deployments/example/check \ --header 'Authorization: Bearer <token>'Assert the deployment satisfies the external Run contract. Stateless.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
Name
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
DeploymentCheckResponse
object
missing
required
Missing
Array<string>
ok
required
Ok
boolean
warnings
required
Warnings
Array<string>
Examplegenerated
{ "missing": [ "example" ], "ok": true, "warnings": [ "example" ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}